<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<div class="d-flex mt-3">
  <div class="table-wrapper me-2 w-50">
    <table
      aria-labelledby="leftColumnHeaderTitle"
      class="table table-striped table-borderless w-100 table-fixed">
      <thead class="shadow-sm">
        <tr>
          <th
            id="leftColumnHeaderTitle"
            scope="col"
            class="col-9 ps-0"
            [innerText]="leftColumnHeader">
          </th>
          <th scope="col" class="col-3 pe-0 text-end">
            <button
              class="btn btn-sm btn-link mx-0 py-0 align-baseline"
              (click)="previous()"
              [disabled]="!hasPrevious()">
              <fa-icon size="sm" [icon]="chevronLeftIcon"></fa-icon>
            </button>

            <span [innerText]="getPaginationCount()"></span>

            <button
              class="btn btn-sm btn-link mx-0 py-0 align-baseline"
              (click)="next()"
              [disabled]="!hasNext()">
              <fa-icon
                size="sm"
                [icon]="chevronRightIcon">
              </fa-icon>
            </button>
          </th>
        </tr>
      </thead>
      <tbody>
        <tr
          *ngFor="let element of candidateElements"
          [ngClass]="{'selected': isSelected(element) || isUnmodifiableElement(element)}">
          <td class="overflow-hidden text-overflow-ellipsis" [innerText]="stringifyElementFn(element)"></td>
          <td class="text-end">
            <button
              class="btn btn-lg btn-no-focus px-2 py-0 {{ tintColor === 'green' ? 'text-success' : 'text-info' }}"
              [title]="commonMessages.ADD"
              [hidden]="isSelected(element) || isUnmodifiableElement(element)"
              (click)="select(element)">
              <fa-icon [icon]="commonIcons.ADD_ICON"></fa-icon>
            </button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="table-wrapper ms-2 w-50">
    <table
      aria-labelledby="rightColumnHeaderTitle"
      class="table table-borderless table-striped w-100 table-fixed"
      [ngClass]="{
        'table-striped-green' : (tintColor === 'green'),
        'table-striped-blue' : (tintColor !== 'green')
      }">
      <thead class="shadow-sm">
        <tr>
          <th
            id="rightColumnHeaderTitle"
            scope="col"
            class="col-button-fixed-size ps-0"
            [ngClass]="{
              'text-success': (tintColor === 'green'),
              'text-info': (tintColor !== 'green')
            }"
            [innerText]="rightColumnHeader">
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let element of filteredSelectedList">
          <td>
            <button
              class="btn btn-lg btn-no-focus px-2 py-0"
              [title]="commonMessages.REMOVE"
              (click)="removeSelection(element)">
              <fa-icon [icon]="commonIcons.CLOSE_ICON"></fa-icon>
            </button>
          </td>
          <td class="overflow-hidden text-overflow-ellipsis" [innerText]="stringifyElementFn(element)"></td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
